%define module	incremental

Name:		python-%{module}
Version:	21.3.0
Release:	%mkrel 1
Summary:	Library for versioning Python 2 projects
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/incremental/
Source0:	https://pypi.io/packages/source/i/incremental/%{module}-%{version}.tar.xz
BuildArch:	noarch

%description
Library for versioning Python 2 projects.

%package -n	python3-%{module}
Summary:	Library for versioning Python 3 projects
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python-setuptools

%description -n	python3-%{module}
Library for versioning Python 3 projects.

%prep
%setup -qn %{module}-%{version}

# Remove bundled egg-info
rm -rf src/%{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc NEWS.rst README.rst
%doc LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc NEWS.rst README.rst
%doc LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sun Aug 14 2022 TerryN <terryn94 at gmail.com> 21.3.0-1pclos2022
- rebuild for python 3.10

* Sun Feb 03 2019 tex 17.5.0-1pclos2019
- created
